This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 41069

Summary: ProjectState is under documented
Product: projects Reporter: Jaroslav Tulach <jtulach>
Component: Generic InfrastructureAssignee: Jesse Glick <jglick>
Status: CLOSED FIXED    
Severity: blocker    
Priority: P2    
Version: 4.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:
Bug Depends on:    
Bug Blocks: 40703    

Description Jaroslav Tulach 2004-03-17 14:53:18 UTC
Please clear its javadoc as I was not able to find
out what is this for and how it should be used.
Comment 1 Jesse Glick 2004-03-18 09:59:48 UTC
Not a very important class for most users.
Comment 2 Jesse Glick 2004-04-26 18:00:50 UTC
I will improve its Javadoc and clarify that only ProjectManager is
permitted to implement it.
Comment 3 Jesse Glick 2004-04-26 23:12:29 UTC
committed     Up-To-Date  1.3        
projects/projectapi/src/org/netbeans/spi/project/ProjectState.java
Comment 4 Marian Mirilovic 2005-12-14 16:33:41 UTC
without additional comments for long time - closing